XKBCLI-COMPILE-COMPOSE(1)

NAME
xkbcli-compile-compose - compile an X Keyboard Compose file

SYNOPSIS
xkbcli-compile-compose [options] [COMPOSE_FILE]

DESCRIPTION
xkbcli-compile-compose compile and print a Compose file based on the given options

COMPOSE_FILE
    Path to the compose file to load, or “-” to read the standard input

--help
    Print help and exit

--verbose
    Enable verbose debugging output

--file FILE
    Specify a Compose file to load, or “-” to read the standard input.

    DEPRECATED: add the file path without the flag.

--locale LOCALE
    Specify the locale directly, instead of relying on the environment variables LC_ALL, LC_TYPE and LANG.

--test
    Test compilation but do not print the Compose file

SEE ALSO
xkbcli(1), Compose(5), The libxkbcommon online documentation: https://xkbcommon.org